aboutsummaryrefslogtreecommitdiffstats
path: root/extra/haserl/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2009-01-12 18:39:11 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2009-01-12 18:39:11 +0000
commita4fe249127b31852dec889ce8f13cee0c0a3dbc8 (patch)
treed266728d598af915954151504e1295283a2b3683 /extra/haserl/APKBUILD
parent8bea2c2f841627727c4e398885bd1b9f42d25792 (diff)
downloadaports-a4fe249127b31852dec889ce8f13cee0c0a3dbc8.tar.gz
aports-a4fe249127b31852dec889ce8f13cee0c0a3dbc8.tar.bz2
aports-a4fe249127b31852dec889ce8f13cee0c0a3dbc8.tar.xz
extra/haserl: new aport
Diffstat (limited to 'extra/haserl/APKBUILD')
-rw-r--r--extra/haserl/APKBUILD21
1 files changed, 21 insertions, 0 deletions
diff --git a/extra/haserl/APKBUILD b/extra/haserl/APKBUILD
new file mode 100644
index 0000000000..7df8058482
--- /dev/null
+++ b/extra/haserl/APKBUILD
@@ -0,0 +1,21 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=haserl
+pkgver=0.9.25
+pkgrel=0
+pkgdesc="Html And Shell Embedded Report Language"
+url="http://haserl.sourceforge.net/"
+license="GPL-2"
+depends="lua uclibc"
+makedepends="lua-dev"
+source="http://downloads.sourceforge.net/$pkgname/$pkgname-$pkgver.tar.gz"
+subpackages="$pkgname-doc"
+
+build() {
+ cd "$srcdir/$pkgname-$pkgver"
+
+ ./configure --prefix=/usr --with-lua || return 1
+ make || return 1
+ make DESTDIR="$pkgdir/" install
+}
+
+md5sums="906c634a2af4ac3a4b656ef4e244c4cd haserl-0.9.25.tar.gz"